package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FaceLog;
import com.yx.face.model.excel.FaceLogVoExcel;
import com.yx.face.model.vo.FaceLogVO;
import com.yx.face.model.vo.QueryUserVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @description: 天波人脸设备进出记录表(FaceLog)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

public interface FaceLogDao extends TKMapper<FaceLog> {

    List<FaceLogVO> getFaceLogs(Map<String,Object> map);

    /*大屏使用*/
    List<FaceLogVO> getFaceLogsShowData(Map<String,Object> map);
    /*大屏使用*/
    Integer getCount(Map<String, Object> map);

    Date getRecent(@Param("userId") Long userId, @Param("sn") String sn);

    List<FaceLogVoExcel> getFaceLogsExcel(@Param("query") QueryUserVo query);
    FaceLogVO getDetails(@Param("id") Integer id);

    List<FaceLogVO> getYellow(@Param("adminId")Integer adminId,@Param("faceTime")String faceTime,@Param("jkm")String jkm);
    /*2022-02-27对face_log查询就行优化 单表查询*/
    List<FaceLogVO> getFaceLogsNew(Map<String, Object> map);
}

